What versions of OS X, Xcode, iOS SDK to build externals?

Are you developing an External using the LiveCode Externals SDK?

Moderators: heatherlaine, Klaus, FourthWorld, robinmiller, kevinmiller

Post Reply
robl
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 62
Joined: Wed Dec 22, 2010 9:50 pm
Location: 3rd planet from the Sun

What versions of OS X, Xcode, iOS SDK to build externals?

Post by robl » Sun Jan 11, 2015 3:01 pm

I'm trying my hand at building some simple externals, but I can't even seem to make one attempt to build. Xcode is telling me that my project has "0 targets, missing base SDK". I think it may be due to using too recent version of Xcode (and thus missing older iOS SDKs).

Currently I am on OS X Yosemite 10.10.1, Xcode 6.1.1 (which lets me target iOS 6.0 to 8.1),with the LiveCode iOS externals R14 SDK Support.

Are there any tricks to build an external with the most recent tools? If not, what is the most recent combination of OS X and Xcode that is known to work for building iOS externals? I can build a virtual machine if needed.

Any advice in getting started building externals would be greatly appreciated.

ChrisMukrow
Posts: 73
Joined: Mon Nov 12, 2012 4:13 pm

Re: What versions of OS X, Xcode, iOS SDK to build externals

Post by ChrisMukrow » Thu Feb 19, 2015 7:35 pm

Did you found a fix for this? Because I have the same problem.

Thanks,
Chris

robl
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 62
Joined: Wed Dec 22, 2010 9:50 pm
Location: 3rd planet from the Sun

Re: What versions of OS X, Xcode, iOS SDK to build externals

Post by robl » Tue Mar 17, 2015 8:06 pm

ChrisMukrow wrote:Did you found a fix for this? Because I have the same problem.

Thanks,
Chris
I was never able to make this work, but now that 8.0 in DP, I think extensions written with LiveCode Builder will let me accomplish the same goal I had for externals.

Thierry
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 583
Joined: Wed Nov 22, 2006 3:42 pm
Location: France
Contact:

Re: What versions of OS X, Xcode, iOS SDK to build externals

Post by Thierry » Wed Mar 18, 2015 9:42 am

robl wrote: Currently I am on OS X Yosemite 10.10.1, Xcode 6.1.1 (which lets me target iOS 6.0 to 8.1),with the LiveCode iOS externals R14 SDK Support.
Are there any tricks to build an external with the most recent tools? If not, what is the most recent combination of OS X and Xcode that is known to work for building iOS externals? I can build a virtual machine if needed.
Any advice in getting started building externals would be greatly appreciated.
Hi,

Sadly, no one from Runrev are giving answers on this topic :(
Well, no answers is sort of answer too :cry:

Can't give you any advice, but I can let you know
what I did to manage this situation since a year or so...

I've built my own specific LC IDE + my own SDK replacement to be able to manage a full workflow
from Xcode. I did spent all the week-end to tune it ( 64 bits tricky stuff) for the latest version:
- Xcode 6.1, LC 6.7.3, iOS 8.1

I edit my code, and with *one* click (top-left triangle in Xcode)
, compile the external, build the livecode app, deploy on my iPad
and start the debugging session.

Kind regards,

Thierry
Thierry Douez - https://sunny-tdz.com
Pourquoi tant de notes lorsqu'il suffit de jouer les plus belles... [Barbara]

Armenhui
Posts: 71
Joined: Fri Oct 16, 2015 12:44 pm

Re: What versions of OS X, Xcode, iOS SDK to build externals

Post by Armenhui » Mon Nov 23, 2015 1:37 pm

I have the same probelm :( Please LiveCode Team members answre the question.

Post Reply

Return to “Building Externals/Plugins”